%define name beagle
%define version 0.2.9
%define release %mkrel 3
%define build_epiphany 1
%define build_evolution 1
%{?_with_epiphany: %{expand: %%global build_epiphany 1}}
%{?_without_epiphany: %{expand: %%global build_epiphany 0}}
%{?_with_evolution: %{expand: %%global build_evolution 1}}
%{?_without_evolution: %{expand: %%global build_evolution 0}}
%define epiver 2.16
%define major 0
%define libname %mklibname %name %major

Summary: GNOME indexing subsystem
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/beagle/%{name}-%{version}.tar.bz2
Source2: beagled.desktop.bz2
Source3: beagle-search.desktop.bz2
Patch1: beagle-0.2.7-crawl-config.patch.bz2
Patch2: http://primates.ximian.com/~joe/beagle-log-level-warn.patch.bz2
Patch4: beagle-0.2.9-epiphany.patch.bz2
#gw from CVS: don't crash if the 'open with' applications list is empty
Patch5: beagle-0.2.9-emptyopenwith.patch.bz2
#gw from CVS: fix truncated file names in the directory walker
Patch6: beagle-0.2.9-directorywalker.patch.bz2
License: MIT/Apache License
Group: Graphical desktop/GNOME
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-data-sqlite
BuildRequires: mono-devel >= 1.1.13.5
BuildRequires: libsqlite-devel
BuildRequires: gnome-sharp2
BuildRequires: gmime-sharp >= 2.1.19
BuildRequires: gsf-sharp >= 0.5
#BuildRequires: galago-sharp
BuildRequires: libexif-devel
BuildRequires: libchm-devel
BuildRequires: gtk+2-devel
BuildRequires: librsvg-devel
BuildRequires: wv-devel
BuildRequires: kdelibs-common
BuildRequires: pygtk2.0-devel
BuildRequires: zip
BuildRequires: gtk-doc
BuildRequires: ImageMagick
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils
Requires: xpdf-tools
#gw for inotify >= 0.24
Requires: kernel >= 2.6.12
#gw please don't drop these explicit deps, the shared libraries are imported
Requires: %mklibname exif 12
Requires: %mklibname chm 0

%description
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. It can index your files, mailboxes, your web browsing
behaviour and other things.

%if %build_epiphany
%package epiphany
Summary: Beagle indexing plugin for the epiphany browser
Group: Networking/WWW
Requires: epiphany >= %epiver
BuildRequires: epiphany-devel
Requires: %name = %version
%define _requires_exceptions mono.Beagle.*\\|mono.Util

%description epiphany
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 

Install this package if you want Beagle to index your web surfing behaviour.

NOTE: The Beagle Epiphany Extension Is Totally Insecure! Use it at
your own risk!
%endif

%if %build_evolution
%package evolution
Summary: Beagle indexing plugin for the Evolution Mail client
Group: Graphical desktop/GNOME
BuildRequires: evolution-sharp >= 0.9
Requires: %name = %version
%description evolution
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 

Install this package if you want Beagle to index your Evolution Mail folders
and address book.
%endif

%package -n %libname
Group: System/Libraries
Summary: Shared library of beagle
%description -n %libname
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 

%package -n %libname-devel
Group: Development/C
Summary: Development library of beagle
Requires: %libname = %version
Provides: lib%name-devel = %version-%release

%description -n %libname-devel
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 

%package -n python-beagle
Group: Development/Python
Summary: Python module for writing Beagle extensions
Requires: %name = %version
Requires: pygtk2.0
%description -n python-beagle
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 
Install this for python extensions to Beagle.

%package crawl-system
Group: System/Servers
Summary: GNOME indexing subsystem for system files
Requires: %name = %version
Requires(pre):  rpm-helper
#gw for ionice
#Requires: schedutils

%description crawl-system
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 
Install this to automatically index your system files.

%prep
%setup -q 
%patch1 -p1 -b .crawl-config
%patch2 -p0 -b .spew
%patch4 -p1 -b .epiphany
cd search/Tiles
%patch5 -p0 -b .emptyopenwith
cd ../../Util
%patch6 -p0 -b .directorywalker
cd ..

autoconf
automake

%build
%configure2_5x  --enable-network --enable-webservices --enable-gtk-doc \
%if %build_epiphany
--enable-epiphany-extension --enable-epiphany-extension-install \
%endif
%if !%build_evolution
--disable-evolution-sharp
%endif

#gw parallel build broken
make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std

rm -f %buildroot%_libdir/epiphany/*/extensions/libbeagleextension*a \
      %buildroot%_libdir/gtk-2.0/*/filesystems/libbeaglechooserhack*a \
      %buildroot%_libdir/%name/*a %buildroot%_libdir/python%pyver/site-packages/*a

mkdir -p %buildroot%_menudir/
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/beagle-search" \
	needs="X11" \
	section="System/File Tools" \
	startup_notify="true" \
	icon="system-search.png" \
	title="Beagle Search" \
	longtitle="Search your data" xdg="true"
?package(%{name}): \
	command="%{_bindir}/beagle-settings" \
	needs="X11" \
	section="System/Configuration/GNOME" \
	startup_notify="true" \
	icon="system-search.png" \
	title="Search & Indexing" \
	longtitle="Configure search & indexing properties" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --add-category="System" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/beagle-search.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AdvancedSettings" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME" \
  --add-category="DesktopSettings;GNOME" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/beagle-settings.desktop


mkdir -p %buildroot{%_liconsdir,%_miconsdir}
convert -scale 48 images/system-search.png %buildroot%_liconsdir/system-search.png
convert -scale 32 images/system-search.png %buildroot%_iconsdir/system-search.png
convert -scale 16 images/system-search.png %buildroot%_miconsdir/system-search.png

#gw TODO: install the mozilla extension
install -m 644 mozilla-extension/beagle.xpi %buildroot%_libdir/beagle/

# ahead of time compile the executables for faster loading
export MONO_GAC_PREFIX=%buildroot%_prefix
#find %buildroot -name \*.exe -exec mono --aot -O=all,-shared {} \;

%find_lang %name

mkdir -p %buildroot%_var/cache/beagle/indexes

# Add an autostart file so beagled gets run by default
mkdir -p $RPM_BUILD_ROOT%_datadir/gnome/autostart
bzcat %SOURCE2 > $RPM_BUILD_ROOT%_datadir/gnome/autostart/beagled.desktop
bzcat %SOURCE3 > $RPM_BUILD_ROOT%_datadir/gnome/autostart/beagle-search.desktop

%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%pre crawl-system
%_pre_useradd beagleindex %_var/cache/beagle /bin/sh

%postun crawl-system
%_postun_userdel beagleindex

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING README NEWS AUTHORS ChangeLog 
%_bindir/beagle-settings
%_bindir/beagle-config
%_bindir/beagle-extract-content
%_bindir/beagle-exercise-file-system
%_bindir/beagle-imlogviewer
%_bindir/beagle-index-info
%_bindir/beagle-index-url
%_bindir/beagle-info
%_bindir/beagle-ping
%_bindir/beagle-query
%_bindir/beagle-shutdown
%_bindir/beagle-status
%_bindir/beagled
%_bindir/beagle-search
%_bindir/beagle-contactviewer
%_sbindir/beagle-build-index
%_sbindir/beagle-manage-index
%dir %_libdir/%name
%dir %_libdir/%name/Backends/
%_libdir/%name/Backends/Thunderbird*
%_libdir/%name/*.dll*
%_libdir/%name/*.exe*
%_libdir/%name/Filters/
%_libdir/%name/beagle*
%_libdir/%name/lib*.so*
%_libdir/pkgconfig/beagle*.pc
%_mandir/man1/*
%_datadir/gnome/autostart/*
%_datadir/applications/beagle-search.desktop
%_datadir/applications/beagle-settings.desktop
%_datadir/pixmaps/*
%_datadir/beagle/
%_mandir/man8/beagle-build-index.8*
%_mandir/man8/beagle-manage-index.8*
%_menudir/%name
%_liconsdir/system-search.png
%_iconsdir/system-search.png
%_miconsdir/system-search.png

%files crawl-system
%defattr(-,root,root)
%dir %_sysconfdir/beagle
%config(noreplace) %_sysconfdir/beagle/*
%config(noreplace) %_sysconfdir/cron.daily/beagle-crawl-system
#%_libexecdir/beagle-crawl-system
%attr(755,beagleindex,root) %_var/cache/beagle

%if %build_epiphany
%files epiphany
%defattr(-,root,root)
%doc README
%_libdir/epiphany/%epiver/extensions/*
%endif

%if %build_evolution
%files evolution
%defattr(-,root,root)
%doc README
%_libdir/%name/Backends/EvolutionBackends.dll*
%endif

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/lib*.so
%attr(644,root,root) %_libdir/lib*a
%_includedir/libbeagle/
%_libdir/pkgconfig/libbeagle*.pc
%_datadir/gtk-doc/html/beagle/

%files -n python-beagle
%defattr(-,root,root)
%py_platsitedir/beagle.so

%changelog
* Tue Sep 12 2006 Gtz Waschk <waschk@mandriva.org> 0.2.9-3mdv2007.0
- cvs fixes

* Mon Sep  4 2006 Gtz Waschk <waschk@mandriva.org> 0.2.9-2mdv2007.0
- new epiphany

* Fri Sep 01 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.9-1mdv2007.0
- Release 0.2.9
- Remove patch 5, merged upstream

* Thu Aug 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.8-4mdv2007.0
- Fix group

* Mon Aug 21 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.8-3mdv2007.0
- Update patch5 with libchm soname

* Mon Aug 21 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.8-2mdv2007.0
- Patch5: fix imported libraries soname
- remove source1 : not longer needed, no longer ship our own dll config file

* Thu Aug 17 2006 Gtz Waschk <waschk@mandriva.org> 0.2.8-1mdv2007.0
- add thunderbird backend
- drop patches 0,3
- bump deps
- New release 0.2.8

* Thu Aug 10 2006 Gtz Waschk <waschk@mandriva.org> 0.2.7-5mdv2007.0
- fix build with new mono

* Tue Jul 18 2006 Gtz Waschk <waschk@mandriva.org> 0.2.7-4mdv2007.0
- fix subpackage deps
- don't depend  on schedutils

* Tue Jul 18 2006 Gtz Waschk <waschk@mandriva.org> 0.2.7-3mdv2007.0
- make crawl-system depend on schedutils for ionice
- drop patch 3

* Tue Jun 20 2006 Gtz Waschk <waschk@mandriva.org> 0.2.7-2mdv2007.0
- xdg menu

* Tue Jun 20 2006 Gtz Waschk <waschk@mandriva.org> 0.2.7-1mdv2007.0
- rediff patch 1
- New release 0.2.7

* Sat Jun 17 2006 Gtz Waschk <waschk@mandriva.org> 0.2.6-5mdv2007.0
- epiphany 2.15

* Thu May 25 2006 Gtz Waschk <waschk@mandriva.org> 0.2.6-4mdv2007.0
- replace patch2 by a better one

* Mon May 22 2006 Gtz Waschk <waschk@mandriva.org> 0.2.6-3mdk
- add thunderbird patch

* Thu May  4 2006 Gtz Waschk <waschk@mandriva.org> 0.2.6-2mdk
- build fix for x86_64

* Sun Apr 30 2006 Gtz Waschk <waschk@mandriva.org> 0.2.6-1mdk
- update patch 1
- New release 0.2.6

* Sat Apr 22 2006 Gtz Waschk <waschk@mandriva.org> 0.2.5-2mdk
- reduce debug output
- disable galago

* Fri Apr 21 2006 Gtz Waschk <waschk@mandriva.org> 0.2.5-1mdk
- update file list
- drop patch 0
- update patch 1
- New release 0.2.5

* Thu Apr 20 2006 Gtz Waschk <waschk@mandriva.org> 0.2.4-5mdk
- depend on xpdf-tools

* Thu Apr 20 2006 Gtz Waschk <waschk@mandriva.org> 0.2.4-4mdk
- rebuild for new epiphany

* Mon Apr 17 2006 Götz Waschk <waschk@mandriva.org> 0.2.4-3mdk
- rebuild for new gmime

* Fri Apr 14 2006 Gtz Waschk <waschk@mandriva.org> 0.2.4-2mdk
- add GNOME autostart files

* Sat Apr  8 2006 Gtz Waschk <waschk@mandriva.org> 0.2.4-1mdk
- update file list
- add patch 0 to make it build
- rediff the patch
- New release 0.2.4

* Mon Mar 20 2006 Gtz Waschk <waschk@mandriva.org> 0.2.3-3mdk
- update patch to fix the system index dir (bug 21680)

* Sat Mar 18 2006 Gtz Waschk <waschk@mandriva.org> 0.2.3-2mdk
- fix icon in the menu (J.A. Magallon)

* Fri Mar 17 2006 Gtz Waschk <waschk@mandriva.org> 0.2.3-1mdk
- drop merged patch 0
- New release 0.2.3

* Wed Mar 15 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2.1-5mdk
- fix python path on x86_64

* Wed Mar 15 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2.1-4mdk
- remove nologin, else beagle-crawl-system won't start
- fix patch for beagle-crawl-system

* Tue Mar 14 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2.1-3mdk
- fix crawler configuration
- more crontab fixes
- add crawl package

* Sat Mar 11 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2.1-2mdk
- move cronab to the right dir
- remove warning from beagle-crawl-system

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 0.2.2.1-1mdk
- New release 0.2.2.1

* Tue Mar  7 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- update file list
- New release 0.2.2

* Thu Feb  2 2006 Gtz Waschk <waschk@mandriva.org> 0.2.1-2mdk
- fix buildrequires

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.2.1-1mdk
- update file list
- New release 0.2.1

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-5mdk
- fix buildrequires

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-4mdk
- fix buildrequires

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-3mdk
- rebuild for new dbus-sharp

* Wed Jan 25 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-2mdk
- really fix menu entry

* Mon Jan 23 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-1mdk
- split out evolution backend
- drop firefox deps
- bump deps
- New release 0.2.0

* Tue Jan 10 2006 Gtz Waschk <waschk@mandriva.org> 0.1.4-3mdk
- reenable epiphany

* Tue Jan 10 2006 Gtz Waschk <waschk@mandriva.org> 0.1.4-2mdk
- disable epiphany
- rebuild for new mozilla-firefox

* Wed Dec 21 2005 Gtz Waschk <waschk@mandriva.org> 0.1.4-1mdk
- patch for new mono
- New release 0.1.4

* Tue Dec 20 2005 Götz Waschk <waschk@mandriva.org> 0.1.3-3mdk
- rebuild for new mono

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.1.3-2mdk
- rebuild for new mono
- use mkrel

* Mon Dec  5 2005 Gtz Waschk <waschk@mandriva.org> 0.1.3-1mdk
- add python module
- update buildrequires
- update the patch
- New release 0.1.3

* Fri Nov 11 2005 Gtz Waschk <waschk@mandriva.org> 0.1.2-1mdk
- fix buildrequires
- enable gtk-doc
- build with new wv
- New release 0.1.2

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-3mdk
- rebuild for new mono

* Tue Oct 25 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-2mdk
- rebuild for new firefox

* Fri Oct  7 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-1mdk
- New release 0.1.1
- update file list
- bump deps
- drop patches 4,5,6

* Sat Aug 27 2005 Frederic Crozat <fcrozat@mandriva.com> 0.0.12-5mdk 
- Patch6 (CVS): fix GAIM log indexing
- Disable all references to mdnsresponder, it is no longer used
  by beagle

* Thu Aug 11 2005 Frederic Crozat <fcrozat@mandriva.com> 0.0.12-4mdk 
- Patch5 (CVS): support for inotify 0.24

* Fri Jul 29 2005 Gtz Waschk <waschk@mandriva.org> 0.0.12-3mdk
- rebuild for new firefox

* Thu Jul 21 2005 Gtz Waschk <waschk@mandriva.org> 0.0.12-2mdk
- enable web services
- fix deps

* Tue Jul 12 2005 Gtz Waschk <waschk@mandriva.org> 0.0.12-1mdk
- add libbeagle package
- enable galago
- bump deps
- New release 0.0.12

* Thu Jun 16 2005 Gtz Waschk <waschk@mandriva.org> 0.0.11.1-2mdk
- add dep on libchm
- update dll config

* Thu Jun 16 2005 Gtz Waschk <waschk@mandriva.org> 0.0.11.1-1mdk
- drop patch 0
- New release 0.0.11.1

* Wed Jun 15 2005 Gtz Waschk <waschk@mandriva.org> 0.0.11-1mdk
- update buildrequires
- patch to add missing source file
- drop patch 5
- New release 0.0.11

* Wed Jun 15 2005 Gtz Waschk <waschk@mandriva.org> 0.0.10-2mdk
- rebuild for new wv

* Mon May 30 2005 Gtz Waschk <waschk@mandriva.org> 0.0.10-1mdk
- reenable epiphany extension
- drop patches 2,3
- drop dbus dep
- New release 0.0.10

* Wed May 25 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-7mdk
- rebuild for new firefox

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-6mdk
- disable web service

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-5mdk
- disable broken aot
- fix buildrequires

* Mon May  2 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-4mdk
- enable web service

* Sat Apr 30 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-3mdk
- fix beagled script

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-2mdk
- fix buildrequires

* Mon Apr 25 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-1mdk
- add locale files
- aot compile the executables
- requires new kernel, but you really need kernel-multimedia!
- drop patch 0
- New release 0.0.9

* Fri Apr 22 2005 Gtz Waschk <waschk@mandriva.org> 0.0.8.1-8mdk
- rebuild for new dbus-sharp

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 0.0.8.1-7mdk
- disable the epiphany support

* Thu Apr 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-6mdk
- enable the mdnsresponder support

* Fri Apr  8 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-5mdk
- fix application init
- reenable epiphany plugin

* Thu Mar 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-4mdk
- fix buildrequires

* Thu Mar 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-3mdk
- fix buildrequires

* Wed Mar 30 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-2mdk
- enable network
- requires dbus-x11 (fixes bug #14997)
- fix buildrequires

* Sun Mar 27 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-1mdk
- update file list
- New release 0.0.8.1

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.7-2mdk
- I don't like bad program with requires specific FF version... (fix upgrade from MDK 10.1)

* Thu Mar  3 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.7-1mdk
- update firefox dependancy
- update file list
- new version

* Wed Feb 23 2005 Götz Waschk <waschk@linux-mandrake.com> 0.0.6.1-3mdk
- rebuild for new dbus-sharp

* Wed Feb 23 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.6.1-2mdk
- build with firefox

* Thu Feb 17 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.6.1-1mdk
- disable gst-sharp
- requires new dbus-sharp and gmime-sharp
- New release 0.0.6.1

* Fri Jan 28 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.5-2mdk
- fix buildrequires

* Wed Jan 26 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.5-1mdk
- update the dll configuration
- New release 0.0.5

* Tue Jan 25 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-5mdk
- fix a debug message
- fix the menu entry
- fix some DllImports

* Mon Jan 24 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-4mdk
- add the mozilla extension
- fix buildrequires

* Sun Jan 23 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-3mdk
- fix buildrequires

* Sat Jan 22 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-2mdk
- fix buildrequires

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-1mdk
- disable epiphany extension
- add the new deps
- New release 0.0.4

* Wed Jul 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-3mdk
- fix menu

* Fri Jun 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-2mdk
- move beagle-epiphany-index to the epiphany package
- add menu entry

* Fri Jun 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-1mdk
- initial package
